Browse Source

Fix the grenade plugin to also upgrade octavia-lib

Upgrade octavia-lib in target environment to make sure we are testing
the latest code.

Change-Id: I8003de0f71a5dee7438ab2f6a2c497386018c1ac
changes/80/730280/2
Carlos Goncalves 2 years ago
parent
commit
59831f46f7
  1. 1
      devstack/upgrade/upgrade.sh
  2. 5
      doc/source/admin/guides/upgrade.rst

1
devstack/upgrade/upgrade.sh

@ -51,6 +51,7 @@ set -o xtrace
[[ -d $SAVE_DIR/etc.octavia ]] || cp -pr $OCTAVIA_CONF_DIR $SAVE_DIR/etc.octavia
# Install the target octavia
octavia_lib_install
octavia_install
# calls upgrade-octavia for specific release

5
doc/source/admin/guides/upgrade.rst

@ -58,7 +58,10 @@ listeners, pools and members).
#. Optional: Make a backup of the database.
#. Upgrade all Octavia control plane nodes to the next release.
#. Upgrade all Octavia control plane nodes to the next release. Remember to
also upgrade library dependencies (e.g. octavia-lib). If upgrading Octavia
from distribution packages, your system package manager is expected to
handle this automatically.
#. Verify that all configuration option names are up-to-date with latest
Octavia version. For example, pay special attention to deprecated

Loading…
Cancel
Save